# 数値numを桁数widthにゼロパディングする
pad = (num, width) ->
  num += ""
  while num.length < width
    num = "0" + num
  num

# カーソル行に出力されている文字を消す
clearLine = ->
  # カーソルを行頭に持ってくる
  process.stdout.write "\x1b[1G"
  # カーソル行の文字を削除する
  process.stdout.write "\x1b[0J"

printTime = ->
  d = new Date
  timestr = "#{d.getFullYear()}年#{d.getMonth()+1}月" + \
  "#{d.getDate()}日 #{d.getHours()}時" + \
  "#{pad d.getMinutes(), 2}分#{pad d.getSeconds(), 2}秒"
  clearLine()
  process.stdout.write timestr
  setTimeout printTime, 1000 - d.getMilliseconds()

printTime()