tprompt = require "./tiny_prompt"

shuffle = (array) ->
  i = array.length
  if i is 0 then return false
  while --i
    j = Math.floor Math.random() * (i + 1)
    tmpi = array[i]
    tmpj = array[j]
    array[i] = tmpj
    array[j] = tmpi
  return

digits = [1..9]
shuffle digits
answerDigits = digits[0..3]

# 確認用に正解を出力
console.log "answer: " + answerDigits.join ""

# 入力を受け取るための関数
readInput = ->
  tprompt "> ", (input) ->
    inputDigits = input.split ""
    
    # ヒット・ブロー数を計算
    hits = 0
    blows = 0
    for i in [0..3]
      inputDigits[i] = parseInt inputDigits[i] # 数値に変換
      if inputDigits[i] is answerDigits[i] # ヒット
        hits++
      else if inputDigits[i] in answerDigits # ブロー
        blows++
        
    if hits is 4
      console.log "大正解！"
    else
      console.log "#{hits}ヒット、#{blows}ブロー"
      readInput()

readInput()